## ros-galactic-tf2-eigen-kdl 0.17.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(tf2_eigen_kdl)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(eigen3_cmake_module REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(orocos_kdl REQUIRED)
find_package(tf2 REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/tf2_eigen_kdl.cpp
)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
ament_target_dependencies(${PROJECT_NAME}
  Eigen3
  eigen3_cmake_module
  orocos_kdl
  tf2
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "TF2_EIGEN_KDL_BUILDING_DLL")

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib)

ament_export_include_directories(include)
ament_export_dependencies(
  eigen3_cmake_module
  Eigen3
  orocos_kdl
  tf2
)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(tf2_eigen_kdl_test test/tf2_eigen_kdl_test.cpp)
  target_link_libraries(tf2_eigen_kdl_test ${PROJECT_NAME})
  ament_target_dependencies(tf2_eigen_kdl_test tf2)
endif()

ament_package()

=== debian/changelog ===
ros-galactic-tf2-eigen-kdl (0.17.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.15.1-1focal) focal; urgency=high

  * fix order of find eigen3_cmake_module & find eigen3 (#344 <https://github.com/ros2/geometry2/issues/344>)
  * Contributors: Ahmed Sobhy

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.15.0-1focal) focal; urgency=high

  * Update package.xml (#333 <https://github.com/ros2/geometry2/issues/333>)
  * Port eigen_kdl.h/cpp to ROS2 (#311 <https://github.com/ros2/geometry2/issues/311>)
  * Contributors: Jafar Abdi

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

=== debian/control ===
Source: ros-galactic-tf2-eigen-kdl
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-eigen3-cmake-module, ros-galactic-orocos-kdl, ros-galactic-tf2, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-tf2-eigen-kdl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-eigen3-cmake-module, ros-galactic-orocos-kdl, ros-galactic-tf2, ros-galactic-ros-workspace
Description: Conversion functions between: - Eigen and KDL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-tf2-eigen-kdl//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
